package rest;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;

@Path("/kalkulator")
public class Kalkulator {

    @GET
    @Path("/{a}+{b}")
    // @Path("/{a:\\d+}+{b:\\d+}")
    public int dodaj(@PathParam("a") int x, @PathParam("b") int y) {
        return x + y;
    }
    
    @GET
    @Path("/{a}-{b}")
    public int odejmij(@PathParam("a") int x, @PathParam("b") int y) {
        return x - y;
    }
    
    @GET
    @Path("/{a}*{b}")
    public int pomnoz(@PathParam("a") int x, @PathParam("b") int y) {
        return x * y;
    }
    
    @GET
    @Path("/{a}/{b}")
    public double podziel(@PathParam("a") int x, @PathParam("b") int y) {
        return 1. * x / y;
    }
}
